#ifndef _Handle_PPoly_Triangulation_HeaderFile
#define _Handle_PPoly_Triangulation_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PPoly_Triangulation;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PPoly_Triangulation);

class Handle(PPoly_Triangulation) : public Handle(Standard_Persistent) {
  public:

    Handle(PPoly_Triangulation)():Handle(Standard_Persistent)() {} 
    Handle(PPoly_Triangulation)(const Handle(PPoly_Triangulation)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PPoly_Triangulation)(const PPoly_Triangulation* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PPoly_Triangulation)& operator=(const Handle(PPoly_Triangulation)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PPoly_Triangulation)& operator=(const PPoly_Triangulation* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PPoly_Triangulation* operator->() const 
     {
      return (PPoly_Triangulation *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PPoly_Triangulation) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
